> 1 <

Автор Сообщение

bini1988

Members


Статус

1 сообщений

Где: Russia
Род занятий:
Возраст:

#6223   2012-06-26 21:32 GMT+3 часа(ов)      
Помогите ответить на вопросы по AutoLisp, свой варианта ответа я выделили жирным шрифтом.


Какая функция AutoLisp позволяет выделить первый элемент из списка ?
1. (cadr L)
2. (nth 1 L)
3. (car L)
4. (cadr L 1)
5. (nth L)

Какой результат получит интерпретатор Lisp, вычислив следующий список?
(+ 2 (/ 3 2))


1. 0
2. 2
3. 3
4. 3.6667
5. 7

Какой из приведенных резульнтатов выполнения следующей команды AutoLisp может иметь место?
(setq a (getpoint))


1. (327.00 14.00 0.00)
2. (327.00 14.00)
3. (327.00,14.00)
4. 327.00,14.00
5. 327.00

Какие абсолютные координаты будет иметь точка конца ломаной линии, если задана следующая функция AutoLisp и в командной строке системы проектирования AutoCAD введена команда ее вызова: L90?
(defun C:L90 ()
(command "line" "20,30" "30,50" "@100,30" "")
)


1. 130,80
2. 150,110
3. -50,50
4. 50,80
5. 120,50


Что произойдет, если имеется отрезок проведенный под углом 45&讒, и задана следующая функция AutoLisp, а в командной строке системы проектирования AutoCAD введена команда ее вызова: r90?

(defun C:r90 ()
(command "rotate" pause "" "@" "-90" "")
)


1. Будет построена дуга 90&讒 от конца отрезка по часовой стрелке.
2. Будет построен сектор 90&讒 от конца отрезка против часовой стрелки.
3. Отрезок будет повернут на 90&讒 по часовой стрелке.
4. Отрезок будет повернут на 90&讒 против часовой стрелки.
5. Отрезок будет расположен вертикально.


Какие абсолютные координаты будет иметь точка конца ломаной линии, если задана следующая функция AutoLisp и в командной строке системы проектирования AutoCAD введена команда ее вызова: L90?

(defun C:l90 ()
(command "line" "20,30" "30,50" "100,30" "")
)


1. 130,80
2. 150,110
3. -50,50
4. 50,80
5. 100,30
> 1 <


Онлайн :

0 пользователь(ей), 13 гость(ей) :




Реклама на сайте: